[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Package maintainer script policy.

On 3 Aug 1998, Manoj Srivastava wrote:

> 	I guess we need to modify policy on this; and maybe require
>  that all pre and post install and rm scripts need to be scripts for
>  security purposes? 

Core 'essential' packages require this to ensure the stability of the
system while upgrading. This is why readline is a binary not a shell
script and why libc has a binary as it's install script. 

If this becomes policy then essential packages should be excluded.


To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: